# Class BedAnnotationOutputFormatter

java.lang.Object
org.snpeff.outputFormatter.OutputFormatter
org.snpeff.outputFormatter.BedOutputFormatter
org.snpeff.outputFormatter.BedAnnotationOutputFormatter

public class BedAnnotationOutputFormatter extends BedOutputFormatter
Formats: Show all annotations that intersect the BED input file. WARNING: In this format, the output are annotations (instead of input intervals)

Author:
  pcingola

## Constructor Summary

Constructors
Constructor
Description
`BedAnnotationOutputFormatter()`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
Show all effects
`String`
`toStringHeader()`
Show header

### Methods inherited from class BedOutputFormatter

`endSection, setOutOffset, startSection`

### Methods inherited from class OutputFormatter

`add, clone, close, print, printSection, setChrStr, setCommandLineStr, setConfig, setOutputFile, setShowHeader, setSupressOutput, setUseGeneId, setUseHgvs, setUseOicr, setUseSequenceOntology, setVariantEffectResutFilter, setVersion`

### Methods inherited from class Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BedAnnotationOutputFormatter

public BedAnnotationOutputFormatter()

## Method Details

### toString

public String toString()
Show all effects

Overrides:
  `toString` in class `BedOutputFormatter`

### toStringHeader

public String toStringHeader()
Show header

Overrides:
  `toStringHeader` in class `BedOutputFormatter`